
Redmine - Feature #15275

Improve usage of label "button_update"

2013-11-06 17:29 - Björn Peemöller

Status: Closed Start date:  

Priority: Low Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Translations Estimated time: 0.00 hour

Target version: 2.5.0   

Resolution: Fixed   

Description

Hi, today I discovered an improper german translation of button_update:

button_update: Bearbeiten

 should better be

button_update: Aktualisieren

 While the first has the meaning of "edit", the second corresponds to "update by applying my changes". Unfortunately, button_update

seems also to be used for editing issues:

$ grep -rn button_update app/

app/views/issues/_action_menu.html.erb:2:<%= link_to l(:button_update), edit_issue_path(@issue), :

onclick => 'showAndScrollTo("update", "issue_notes"); return false;', :class => 'icon ico

n-edit', :accesskey => accesskey(:edit) if @issue.editable? %>

app/views/issues/show.html.erb:131:  <h3><%= l(:button_update) %></h3>

app/views/repositories/committers.html.erb:39:<p><%= submit_tag(l(:button_update)) %></p>

 Therefore, I would suggest to change the translation and change button_update to button_edit for the first two occurrences. It is fine

for the third, I think.

What do you think? Comments welcome!

Related issues:

Related to Redmine - Defect #7856: Change "Update" to "Update/Reply" on issue... Closed 2011-03-14

Related to Redmine - Defect #9033: German semantic translation mistake Closed 2011-08-10

Associated revisions

Revision 12284 - 2013-11-16 09:28 - Jean-Philippe Lang

Use :button_save instead of :button_update on committers form (#15275).

Revision 12285 - 2013-11-16 09:32 - Jean-Philippe Lang

Use :button_edit instead of :button_update for editing issues (#15275).

History

#1 - 2013-11-06 17:31 - Björn Peemöller

Well, another solution may also be to change button_update to button_save in app/views/repositories/committers.html.erb:39, but I think the other

change may also be worth it.

#2 - 2013-11-16 10:00 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.5.0

- Resolution set to Fixed

Changes done.
#3 - 2013-11-18 09:23 - Björn Peemöller

Cool, thanks!

#4 - 2014-04-25 11:32 - Stanislav German-Evtushenko

And now we have a weird way to add a comment by the "Edit" button. I'm sure we will get used to it but it doesn't seem logical.

#5 - 2014-12-03 13:57 - Go MAEDA

- Related to Defect #7856: Change "Update" to "Update/Reply" on issue#show added

#6 - 2022-04-11 09:17 - Mischa The Evil

- Related to Defect #9033: German semantic translation mistake added
